> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get MCP server

> Get an MCP server by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /ai/mcpServers/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/mcpServers/{uuid}:
    get:
      tags:
        - AI - MCP
      summary: Get MCP server
      description: Get an MCP server by UUID
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: MCP server identifier.
          required: true
          description: MCP server identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  mcpServer:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      userUuid:
                        type: string
                      name:
                        type: string
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                      actions:
                        type: array
                        items:
                          allOf:
                            - type: object
                              properties:
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                slug:
                                  type: string
                                description:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                isBulkAllowed:
                                  type: boolean
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - name
                                - slug
                                - description
                                - isBulkAllowed
                                - config
                              additionalProperties: false
                            - anyOf:
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: tool
                                    toolUuid:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    templateSlug:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    waitUntilFinished:
                                      type: boolean
                                  required:
                                    - kind
                                    - toolUuid
                                    - templateSlug
                                    - waitUntilFinished
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: agent
                                    agentUuid:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    templateSlug:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    waitUntilFinished:
                                      type: boolean
                                  required:
                                    - kind
                                    - agentUuid
                                    - templateSlug
                                    - waitUntilFinished
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: connector
                                    integrationSlug:
                                      type: string
                                    connectorUuid:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    actionSlug:
                                      type: string
                                  required:
                                    - kind
                                    - integrationSlug
                                    - connectorUuid
                                    - actionSlug
                                  additionalProperties: false
                      resources:
                        type: array
                        items:
                          anyOf:
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: model
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                slug:
                                  type: string
                                description:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                integrationSlug:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                modelUuid:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                filter:
                                  anyOf:
                                    - type: object
                                      properties:
                                        conjonction:
                                          type: string
                                          enum:
                                            - or
                                            - and
                                        groups:
                                          type: array
                                          items: {}
                                      required:
                                        - conjonction
                                        - groups
                                      additionalProperties: false
                                    - type: 'null'
                                selectedColumnSlugs:
                                  anyOf:
                                    - type: array
                                      items:
                                        type: string
                                    - type: 'null'
                                limit:
                                  anyOf:
                                    - type: number
                                    - type: 'null'
                                prompt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                isReadOnly:
                                  type: boolean
                              required:
                                - kind
                                - name
                                - slug
                                - description
                                - integrationSlug
                                - modelUuid
                                - filter
                                - selectedColumnSlugs
                                - limit
                                - prompt
                                - isReadOnly
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: file
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                slug:
                                  type: string
                                description:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                items:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            const: file
                                          fileUuid:
                                            type: string
                                        required:
                                          - kind
                                          - fileUuid
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            const: folder
                                          folderUuid:
                                            type: string
                                        required:
                                          - kind
                                          - folderUuid
                                        additionalProperties: false
                                prompt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - kind
                                - name
                                - slug
                                - description
                                - items
                                - prompt
                              additionalProperties: false
                      folderUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      templateSlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      isReadOnly:
                        type: boolean
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      deletedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - workspaceUuid
                      - userUuid
                      - name
                      - description
                      - actions
                      - resources
                      - folderUuid
                      - templateSlug
                      - isReadOnly
                      - createdAt
                      - updatedAt
                      - deletedAt
                    additionalProperties: false
                    title: MCP server
                    description: MCP server details.
                required:
                  - mcpServer
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````